/**
 * 配置中心模块
 * @date 2022-08-13 21:44:54
 * @author 何华东
 */
/**
 * 统一接口配置
 */
declare class TyApiConfig {
    /**
     * 统一接口地址
     */
    ty_url: string;
}
/**
 * ali-oss配置
 */
declare class AliOssConfig {
    region: string;
    accessKeyId: string;
    accessKeySecret: string;
    bucket: string;
}
/**
 * 华为Obs配置
 */
declare class HuaweiObsConfig {
    server: string;
    access_key_id: string;
    secret_access_key: string;
    bucket: string;
}
/**
 * redis配置
 */
declare class RedisConfig {
    host: string;
    port: string;
    password: string;
    database: string;
}
declare class MySqlConnectionOpts {
    host: string;
    port: number;
    user: string;
    password: string;
    database: string;
}
/**
 * 配置中心/配置provider
 */
export declare class ConfigCenterConfigProvider {
    /**
     * 重试毫秒数
     */
    private static readonly RETRY_MS;
    /**
     * 每次重试延迟毫秒数
     */
    private static readonly RETRY_DELAY_MS;
    /**
     * 验证是否已引用`NsConfig`
     */
    static checkRefNsConfig(): boolean;
    /**
     * 获取配置中心/统一接口配置
     */
    static getTyApiConfig(): Promise<TyApiConfig>;
    /**
     * 获取配置中心/`ali-oss`配置
     */
    static getAliOssConfig(): Promise<AliOssConfig>;
    /**
     * 获取配置中心/`华为obs`配置
     */
    static getHuaweiObsConfig(): Promise<HuaweiObsConfig>;
    /**
     * 获取配置中心/redis配置
     */
    static getRedisConfig(): Promise<RedisConfig>;
    /**
     * 获取配置中心/车场镜像MYSQL配置
     */
    static getImageMysqlConfig(): Promise<MySqlConnectionOpts>;
    static getMySqlConnectionOpts(): Promise<MySqlConnectionOpts>;
}
export {};
